Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Interface MazePaintPropertiesProvider

All Known Subinterfaces:
  MazePrintPropertiesProvider, MazeSaveImagePropertiesProvider

All Known Implementing Classes:
  MazePaintProperties, MazePrintProperties, MazeSaveImageProperties

    public interface MazePaintPropertiesProvider

Interface of objects which know how a maze is painted.

Method Summary
`java.awt.Paint` | `getBackgroundPaint()` Get the background paint.
`java.awt.Paint` | `getCellBorderPaint()` Get the paint of cell borders.
`java.awt.Paint` | `getInnerWallsPaint()` Get the paint of the inner walls.
`java.awt.Paint` | `getOuterWallPaint()` Get the paint of the outer walls.
`java.awt.Paint` | `getSolutionPaint()` Get the paint of solution cells.
`java.awt.Paint` | `getWayEndPaint()` Get the paint for the end cell.
`java.awt.Paint` | `getWayStartPaint()` Get the paint for the start cell.
`boolean` | `isShowingCellBorders()` Are cell borders displayed?
`boolean` | `isShowingSolution()` Is the solution displayed?

Method Detail

### isShowingSolution

    boolean isShowingSolution()

  Is the solution displayed?

  Returns:
    the answer

### isShowingCellBorders

    boolean isShowingCellBorders()

  Are cell borders displayed? Cell borders are drawn between connected cells.

  Returns:
    the answer

### getOuterWallPaint

    java.awt.Paint getOuterWallPaint()

  Get the paint of the outer walls.

  Returns:
    outer border paint

### getInnerWallsPaint

    java.awt.Paint getInnerWallsPaint()

  Get the paint of the inner walls. Inner borders are drawn between unconnected cells.

  Returns:
    inner border paint

### getCellBorderPaint

    java.awt.Paint getCellBorderPaint()

  Get the paint of cell borders. Cell borders are drawn between connected cells if they are drawn at all.

  Returns:
    cell border paint
  See Also:
    `MazePaintPropertiesProvider.isShowingCellBorders()`

### getSolutionPaint

    java.awt.Paint getSolutionPaint()

  Get the paint of solution cells.

  Returns:
    solution cell paint
  See Also:
    `MazePaintPropertiesProvider.isShowingSolution()`

### getBackgroundPaint

    java.awt.Paint getBackgroundPaint()

  Get the background paint.

  Returns:
    background paint

### getWayStartPaint

    java.awt.Paint getWayStartPaint()

  Get the paint for the start cell.

  Returns:
    start cell paint

### getWayEndPaint

    java.awt.Paint getWayEndPaint()

  Get the paint for the end cell.

  Returns:
    end cell paint

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD